import 'package:flutter/foundation.dart';
import 'package:http/http.dart' as http;
import 'package:primer_practica/environments/urls.dart' as api;

class ArticlesApi {
  Future<Map<String, dynamic>> getArticles() async {
    // Usa la constante `apiBaseUrl` de `urls.dart` para construir la URL
    String url = '${api.apiApp}/articulo?offset=0&max=100';

    if (kDebugMode) {
      print('Url -> $url');
    }

    try {
      final resp = await http.get(Uri.parse(url));
      return {"statusCode": resp.statusCode, "body": resp.body};
    } catch (e) {
      return {"statusCode": 501, "body": '$e'};
    }
  }
}
