import 'package:flutter/material.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({Key? key}) : super(key: key); // Constructor

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar( // Barra de aplicaciones en la parte superior
        title: const Text('Login Page'), // Título de la barra
      ),
      body: Padding( // Espacia el contenido del cuerpo
        padding: const EdgeInsets.all(160.90), // Padding alrededor del contenido
        child: Center( // Centra el contenido en la pantalla
          child: Column( // Organiza los widgets en una columna vertical
            mainAxisAlignment: MainAxisAlignment.center, // Centra verticalmente
            children: [ // Lista de widgets en la columna
              Image.asset('assets/img/logo_visorus.jpg', height: 90), // Muestra el logo con altura de 100
              const SizedBox(height: 40), // Espacio de 80 píxeles entre el logo y el primer campo de texto
              TextField( // Campo de texto para el usuario
                decoration: const InputDecoration(
                  labelText: 'Usuario', // Etiqueta del campo de texto
                  border: OutlineInputBorder(), // Borde del campo de texto
                ),
              ),
              const SizedBox(height: 20), // Espacio de 20 píxeles entre los campos de texto
              TextField( // Campo de texto para la contraseña
                obscureText: true, // Oculta el texto introducido
                decoration: const InputDecoration(
                  labelText: 'Contraseña', // Etiqueta del campo de texto
                  border: OutlineInputBorder(), // Borde del campo de texto
                ),
              ),
              const SizedBox(height: 30), // Espacio de 20 píxeles antes del botón
              ElevatedButton(
                onPressed: () { // Acción al presionar el botón
                  Navigator.pushNamed(context, 'home'); // Navega a la página 'home'
                },
                child: const Text('Acceder'), // Texto del botón
              ),
            ],
          ),
        ),
      ),
    );
  }
}
