import 'package:flutter/material.dart';

// Widget para mostrar alertas de error
Widget alertDanger(String message) {
  return Container(
    // El contenedor se expande a todo el ancho disponible
      width: double.infinity,
      // padding alrededor del contenido
      padding: const EdgeInsets.all(8.0),
      //color de fondo del contenedor
      color: const Color.fromRGBO(192, 57, 43, 0.5),
      child: Row(
        // fila para los íconos y el texto
        children: <Widget>[
          const Icon(
            Icons.error, // Icono de error
            color: Colors.white, // Color del icono
          ),
          const SizedBox(
            width: 10.0, // Espacio horizontal entre el icono y el texto
          ),
          Expanded(
            // Expande el widget de texto para llenar el espacio restante
            child: Text(
              message, // Mensaje de error
              style: const TextStyle(color: Colors.white),
            ),
          )
        ],
      ));
}

// Widget para mostrar alertas de éxito
Widget alertSuccess(String message) {
  return Container(
    // El contenedor se expande a todo el ancho disponible
      width: double.infinity,
      padding: const EdgeInsets.all(8.0),
      color: Colors.lightGreen,
      child: Row(
        children: <Widget>[
          const Icon(
            Icons.check_circle_outline,
            color: Colors.white,
          ),
          const SizedBox(
            width: 10.0,
          ),
          Expanded(
            child: Text(
              message,
              style: const TextStyle(color: Colors.white),
            ),
          )
        ],
      ));
}

// Widget para mostrar alertas de información
Widget alertWait(String message) {
  return Container(
    // El contenedor se expande a todo el ancho disponible
      width: double.infinity,
      padding: const EdgeInsets.all(8.0),
      color: Colors.lightBlueAccent,
      child: Row(
        children: <Widget>[
          const Icon(
            Icons.info,
            color: Colors.white,
          ),
          const SizedBox(
            width: 10.0,
          ),
          Expanded(
            child: Text(
              message,
              style: const TextStyle(color: Colors.white),
            ),
          )
        ],
      ));
}
